/* styles.css */

/* Table styling */
#data-table {
  width: 100%;
  border-collapse: collapse;
}

#data-table tbody tr:first-child td {
    //color: blue;
    text-align: center;
}

#data-table, #data-table th, #data-table td {
  //border: 1px solid black;
  font-weight:600;
 
}

#data-table th, #data-table td {
  border: 1px solid black; 	
  padding: 5px;
  text-align: center;
  font-size:1rem;
  font-family: 'Roboto';
}

#data-table td.no-border {
    border: none !important;
  }

#data-table td:nth-child(2) {
    text-align: left;
}

/* Styling for the semesters */
#data-table td.semester-style {
  color: red;
  font-weight: bold;
  text-align: center;
}

#data-table td.total-style {
  text-transform:uppercase;
  text-align: center;
}

#data-table td.green-style {
  color: green;
}

/* Optional: If you want to add some hover effect to the rows */
#data-table tr:hover {
  background-color: #d1e6f9;
}

/* Optional: Styling for links */
#data-table a {
  text-decoration: underline;
 color: #007BFF;
}

#data-table a:hover {
  text-decoration: underline;
}


/* Loader Styling */
#loader {
    display: block;
    text-align: center;
    padding: 5px;
}

#loader img {
    display: block;
    margin: 0 auto;
}

#loader p {
    font-size: 18px;
    font-weight: bold;
}

/* Table Styling */
table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 3px;
}

td {
    border: 1px solid #ddd;
    padding: 2px;
    text-align: left;
}

/* Custom Styles for Categories */
.semester-style { background-color: #f8d7da; } /* Light Red */
.total-style { background-color: #cce5ff; } /* Light Blue */
.green-style { background-color: #d4edda; font-weight: bold; } /* Light Green */


